### Name: prefilter
### Title: Function for Applying a PreFilter to an ExprTreeSet
### Aliases: prefilter xpsPreFilter-methods xpsPreFilter
### Keywords: manip

### ** Examples

## Not run: 
##D ## first, load ROOT scheme file and ROOT data file
##D scheme.test3 <- root.scheme(paste(.path.package("xps"),"schemes/SchemeTest3.root",sep="/"))
##D data.test3 <- root.data(scheme.test3, paste(.path.package("xps"),"rootdata/DataTest3_cel.root",sep="/"))
##D 
##D ## second, create an ExprTreeSet
##D data.rma <- rma(data.test3,"tmp_TestRMA",tmpdir="",background="pmonly",normalize=TRUE,verbose=FALSE)
##D ## note: do not copy/paste this code, it is necessary only because R CMD check fails since it does not find tmp_TestRMA.root:
##D data.rma@rootfile <- paste(.path.package("xps"),"rootdata/tmp_Test3RMA.root",sep="/")
##D data.rma@filedir  <- paste(.path.package("xps"),"rootdata",sep="/")
##D 
##D ## third, construct a PreFilter
##D prefltr <- PreFilter(mad=c(0.5,0.01),lothreshold=c(6.0,0.02,"mean"),hithreshold=c(10.5,80.0,"percent"))
##D 
##D ## finally, create a FilterTreeSet
##D rma.pfr <- prefilter(data.rma,"tmp_Test3Prefilter",getwd(),prefltr,2,verbose=FALSE)
##D str(rma.pfr)
## End(Not run)



